TypeScript SDK
import { Orchata } from '@orchata-ai/sdk';
const client = new Orchata({ apiKey: 'oai_your_api_key' });
const { documents } = await client.documents.list({
spaceId: 'space_123'
});curl --request GET \
--url https://api.orchata.ai/api/documents \
--header 'Oai-Api-Key: <api-key>'import requests
url = "https://api.orchata.ai/api/documents"
headers = {"Oai-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Oai-Api-Key': '<api-key>'}};
fetch('https://api.orchata.ai/api/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"id": "<string>",
"orgId": "<string>",
"spaceId": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"fileSize": "<string>",
"storageUrl": "<string>",
"status": "<string>",
"errorMessage": "<string>",
"embeddingModel": "<string>",
"indexingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": "<unknown>"
}
],
"total": 123,
"page": 123,
"pageSize": 123,
"totalPages": 123
}Documents
List Documents
Retrieve a paginated list of documents in a space with optional status filtering
GET
/
api
/
documents
TypeScript SDK
import { Orchata } from '@orchata-ai/sdk';
const client = new Orchata({ apiKey: 'oai_your_api_key' });
const { documents } = await client.documents.list({
spaceId: 'space_123'
});Authorizations
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
PENDING, PROCESSING, COMPLETED, FAILED The ID of the space containing the documents
Example:
"space_123"
Was this page helpful?
⌘I